Package Details: opensmtpd-snapshot 201602131907p1-2

Git Clone URL: https://aur.archlinux.org/opensmtpd-snapshot.git (read-only)
Package Base: opensmtpd-snapshot
Description: A FREE implementation of the server-side SMTP protocol. Latest snapshot.
Upstream URL: http://www.opensmtpd.org/portable.html
Keywords: daemon email mta smtp
Licenses: BSD
Conflicts: opensmtpd, postfix, sendmail
Provides: opensmtpd
Replaces: opensmtpd-portable
Submitter: hobarrera
Maintainer: hobarrera
Last Packager: hobarrera
Votes: 7
Popularity: 0.000000
First Submitted: 2013-04-04 18:32
Last Updated: 2016-04-16 18:03

Required by (2)

Sources (4)

Latest Comments

hobarrera commented on 2016-04-16 18:04

@nougad: You're entirely right. I've no idea how this has worked for me so far!

AUR screwed up the whitespace, but I've applied the patch manually. Thanks!

nougad commented on 2016-04-16 14:15

The opensmtpd-snapshot.install file looks kind of wrong.

1) It should only create new users if they not exist (not the other way round)
2) It tries to create _smtpq twice

I think this should fix it:

--- opensmtpd-snapshot.install?h=opensmtpd-snapshot 2016-04-16 16:15:06.000000000 +0200
+++ opensmtpd-snapshot.install.new 2016-04-16 16:15:22.918390352 +0200
@@ -1,18 +1,18 @@
post_install() {
- if [ $(getent group _smtpd > /dev/null) ]; then
+ if ! getent group _smtpd > /dev/null; then
groupadd -r _smtpd
fi;
- if [ $(getent group _smtpq > /dev/null) ]; then
+ if ! getent group _smtpq > /dev/null; then
groupadd -r _smtpq
fi;
- if [ $(getent passwd _smtpd > /dev/null) ]; then
+ if ! getent passwd _smtpd > /dev/null; then
useradd -c "SMTPD Daemon" -r -g _smtpd -d /var/empty -s /sbin/nologin _smtpd
fi;
- if [ $(getent passwd _smtpq > /dev/null) ]; then
- useradd "SMTPD queue user" -r -g _smtpd -d /var/empty -s /sbin/nologin _smtpq
+ if ! getent passwd _smtpq > /dev/null; then
+ useradd -c "SMTPD queue user" -r -g _smtpd -d /var/empty -s /sbin/nologin _smtpq
fi;
- if [ $(getent passwd _smtpf > /dev/null) ]; then
- useradd "SMTPD filter user" -r -g _smtpd -d /var/empty -s /sbin/nologin _smtpq
+ if ! getent passwd _smtpf > /dev/null; then
+ useradd -c "SMTPD filter user" -r -g _smtpd -d /var/empty -s /sbin/nologin _smtpf
fi;

chown -R _smtpd:_smtpd /etc/mail

neko commented on 2014-02-10 17:48

please add "--with-ca-file=/etc/ssl/certs/ca-certificates.crt" configure flag.
cf. https://github.com/poolpOrg/OpenSMTPD/issues/413

hobarrera commented on 2013-12-20 22:31

@srf21c: That makes sense; I've updated the script accordingly.

sysfu commented on 2013-10-22 17:01

Was having an issue where the smtpd.service was failing to start at boot because the network interface had not yet been enumerated. I was able to resolve the problem by changing the [Unit] as follows:

[Unit]
Description=A FREE implementation of the server-side SMTP protocol
After=network.target

Spider.007 commented on 2013-10-18 08:49

Could you alter this package so it provides smtp-forwarder (and possibly conflicts with that too)?

hobarrera commented on 2013-10-10 05:57

srf21c: No problem. :)
Don't hesitate to let me know of any other issues or doubts. :)

sysfu commented on 2013-10-09 23:29

Thanks for getting back re: latest.tar.gz as well as the update for the two separate users.

hobarrera commented on 2013-10-04 21:35

Now using two users, as expected. :)

hobarrera commented on 2013-10-04 21:07

I don't use -latest.tar.gz, because I prefer to make sure the PKGBUILD works with the latest build before uploading it - instead of someone possibly getting a broken package.

Build parameters might change, or something might need an updated - aside from the checksum.

There's only one user because it slipped past when this was added. I'll update the PKGBUILD to create both users as it should be ASAP.

sysfu commented on 2013-10-04 06:00

Also, I am curious to know why the decision was made to create one only one dedicated OpenSMTPD user account as opposed to two which is recommended in this section of the OpenSMTPD source README file:

====================================================================

Add OpenSMTPD users
-------------------

To operate, OpenSMTPD requires at least one user, by default _smtpd; and
preferably two users, by default _smtpd and _smtpq.

Using two users instead of one will increase security by a large factor so...
unless you want to voluntarily reduce security or you have absolute more faith in our code than we do, by all means use two.


The instructions below assume the default users however, the configure
script allows overriding these using the options:
--with-privsep-user, --with-queue-user.

sysfu commented on 2013-10-04 04:49

would it be possible to change the sources link from

http://www.opensmtpd.org/archives/opensmtpd-201308201232p1.tar.gz

to

http://opensmtpd.org/archives/opensmtpd-portable-latest.tar.gz

so that the snapshot tarball will always be up to date?

Or would this cause problems with checksums in the arch PKGBUILD file?

hobarrera commented on 2013-04-04 18:41

I'm renaming this package to opensmtpd-snapshot, since that's the version this package tracks.

arielp commented on 2013-03-19 22:12

I noticed that you are following the snapshots. I tossed together a package[1] for the release in case anyone is interested in that.

[1] https://aur.archlinux.org/packages/opensmtpd-portable-release/

hobarrera commented on 2013-03-08 22:51

The default configuration has now moved to /etc/mail/smtpd.conf.
The obsolete rc init script has been deleted.

hobarrera commented on 2013-02-28 20:02

I used "_smtpd" because that's the default configuration (so as to remain as close as possible with upstream). It's a common *nix practice to use underscore for system accounts.

Spider.007 commented on 2013-02-28 12:41

No problem. Why do you prefix the username with an userscore, and why don't you re-use the existing 'mail' group for this user?

hobarrera commented on 2013-02-26 18:00

You're quite right about both depends. Thanks, and sorry for the bugs. :)

Spider.007 commented on 2013-02-26 15:37

Please add libevent dependency again. I also think sqlite3 should be added to dependencies, it won't build without it

Spider.007 commented on 2013-02-26 15:30

Please add libevent dependency again

Spider.007 commented on 2013-02-22 15:29

201302212013 has been released btw

hobarrera commented on 2013-02-21 16:20

@Spider.007: Indeed, well spotted. Fixed.

Spider.007 commented on 2013-02-21 14:17

This package should also symlink /usr/sbin/smtpctl to /usr/sbin/sendmail

hobarrera commented on 2013-02-19 18:49

It looks like the dependency "libevent" was missing. Can you retry now?

Spider.007 commented on 2013-02-19 11:47

This package needs a dependency on libevent, without it I get:

checking libevent header version... not found
configure: error: libevent version header not found.

hobarrera commented on 2012-08-18 21:47

I've included a systemd unit file for those using systemd.